## ros-melodic-fuse-loss 0.4.2

=== debian/changelog ===
ros-melodic-fuse-loss (0.4.2-1bionic) bionic; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 19 Jul 2021 23:00:00 -0000

ros-melodic-fuse-loss (0.4.1-1bionic) bionic; urgency=high

  * Changelogs
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Replace ignition_sensors list param with ignition field (#163 <https://github.com/locusrobotics/fuse/issues/163>)
    * Remove ignition_sensors param and use a per-sensor ignition field
  * Add ComposedLoss (#170 <https://github.com/locusrobotics/fuse/issues/170>)
  * Patch Tukey loss for Ceres < 2.0.0 (#159 <https://github.com/locusrobotics/fuse/issues/159>)
    * Patch Tukey loss for Ceres < 2.0.0
    * Create ceres_macros.h header
  * Plot loss (#143 <https://github.com/locusrobotics/fuse/issues/143>)
    * Add test to plot loss rho, influence and weight
    * Add BUILD_WITH_PLOT_TESTS option (defaults OFF)
  * Remove Pseudo-Huber loss, it duplicates SoftLOne (#152 <https://github.com/locusrobotics/fuse/issues/152>)
    * Remove Pseudo-Huber loss, it duplicates SoftLOne
  * Add new loss functions (#142 <https://github.com/locusrobotics/fuse/issues/142>)
    The following loss functions, not available in Ceres solver are
    provided:
    * Geman-McClure
    * DCS (Dynamic Covariance Scaling)
    * Fair
    * Pseudo-Huber
    * Welsch
  * Support ScaledLoss (#141 <https://github.com/locusrobotics/fuse/issues/141>)
  * Add fuse_loss pkg with plugin-based loss functions (#118 <https://github.com/locusrobotics/fuse/issues/118>)
  * Contributors: Enrique Fernandez Perdomo, Stephen Williams, Tom Moore
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Replace ignition_sensors list param with ignition field (#163 <https://github.com/locusrobotics/fuse/issues/163>)
    * Remove ignition_sensors param and use a per-sensor ignition field
  * Add ComposedLoss (#170 <https://github.com/locusrobotics/fuse/issues/170>)
  * Patch Tukey loss for Ceres < 2.0.0 (#159 <https://github.com/locusrobotics/fuse/issues/159>)
    * Patch Tukey loss for Ceres < 2.0.0
    * Create ceres_macros.h header
  * Plot loss (#143 <https://github.com/locusrobotics/fuse/issues/143>)
    * Add test to plot loss rho, influence and weight
    * Add BUILD_WITH_PLOT_TESTS option (defaults OFF)
  * Remove Pseudo-Huber loss, it duplicates SoftLOne (#152 <https://github.com/locusrobotics/fuse/issues/152>)
    * Remove Pseudo-Huber loss, it duplicates SoftLOne
  * Add new loss functions (#142 <https://github.com/locusrobotics/fuse/issues/142>)
    The following loss functions, not available in Ceres solver are
    provided:
    * Geman-McClure
    * DCS (Dynamic Covariance Scaling)
    * Fair
    * Pseudo-Huber
    * Welsch
  * Support ScaledLoss (#141 <https://github.com/locusrobotics/fuse/issues/141>)
  * Add fuse_loss pkg with plugin-based loss functions (#118 <https://github.com/locusrobotics/fuse/issues/118>)
  * Contributors: Enrique Fernandez Perdomo, Stephen Williams

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 12 Jul 2021 23:00:00 -0000

ros-melodic-fuse-loss (0.4.0-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Thu, 11 Jul 2019 23:00:00 -0000

ros-melodic-fuse-loss (0.3.0-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 18 Mar 2019 00:00:00 -0000

ros-melodic-fuse-loss (0.2.0-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 16 Jan 2019 00:00:00 -0000

ros-melodic-fuse-loss (0.1.1-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 14 Aug 2018 23:00:00 -0000

ros-melodic-fuse-loss (0.1.0-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Sat, 11 Aug 2018 23:00:00 -0000

ros-melodic-fuse-loss (0.0.2-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Sun, 15 Jul 2018 23:00:00 -0000

ros-melodic-fuse-loss (0.0.1-1bionic) bionic; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 04 Jul 2018 23:00:00 -0000
