=== debian/control ===
Source: ros-melodic-fuse-loss
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libqwt-qt5-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-fuse-core, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fuse-loss
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, ros-melodic-fuse-core, ros-melodic-pluginlib, ros-melodic-roscpp
Description: The fuse_loss package provides a set of commonly used loss functions, such as the basic ones provided by Ceres.
